## ros-dashing-qt-gui-app 1.0.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(qt_gui_app)

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_python REQUIRED)

install(PROGRAMS scripts/qt_gui_app
  DESTINATION lib/${PROJECT_NAME})

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)

  # Disabling copyright test. The copyright used in this package does not conform to
  # ament's copyright tests
  set(ament_cmake_copyright_FOUND TRUE)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-dashing-qt-gui-app (1.0.9-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 26 May 2020 07:00:00 -0000

ros-dashing-qt-gui-app (1.0.8-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 05 May 2020 07:00:00 -0000

ros-dashing-qt-gui-app (1.0.7-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 30 Sep 2019 07:00:00 -0000

ros-dashing-qt-gui-app (1.0.6-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 10 Jun 2019 07:00:00 -0000

ros-dashing-qt-gui-app (1.0.4-1bionic) bionic; urgency=high

  * remove obsolete maintainer (#159 <https://github.com/ros-visualization/qt_gui_core/issues/159>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 Feb 2019 08:00:00 -0000

ros-dashing-qt-gui-app (1.0.3-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 11 Dec 2018 08:00:00 -0000

ros-dashing-qt-gui-app (1.0.2-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 11 Dec 2018 08:00:00 -0000

ros-dashing-qt-gui-app (1.0.1-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 11 Dec 2018 08:00:00 -0000

ros-dashing-qt-gui-app (1.0.0-1bionic) bionic; urgency=high

  * move installed script to lib/qt_gui_app (#149 <https://github.com/ros-visualization/qt_gui_core/issues/149>)
  * use ament_lint_auto (#136 <https://github.com/ros-visualization/qt_gui_core/issues/136>)
  * update tests (#133 <https://github.com/ros-visualization/qt_gui_core/issues/133>)
  * port to ROS 2 (#135 <https://github.com/ros-visualization/qt_gui_core/issues/135>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 10 Dec 2018 08:00:00 -0000

ros-dashing-qt-gui-app (0.3.11-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 29 Aug 2018 07:00:00 -0000

ros-dashing-qt-gui-app (0.3.10-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 05 Aug 2018 07:00:00 -0000

ros-dashing-qt-gui-app (0.3.9-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Aug 2018 07:00:00 -0000

ros-dashing-qt-gui-app (0.3.8-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Nov 2017 07:00:00 -0000

ros-dashing-qt-gui-app (0.3.7-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Oct 2017 07:00:00 -0000

ros-dashing-qt-gui-app (0.3.6-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 03 Aug 2017 07:00:00 -0000

ros-dashing-qt-gui-app (0.3.5-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-dashing-qt-gui-app (0.3.4-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Jan 2017 08:00:00 -0000

ros-dashing-qt-gui-app (0.3.3-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 07:00:00 -0000

ros-dashing-qt-gui-app (0.3.2-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 21 Apr 2016 07:00:00 -0000

ros-dashing-qt-gui-app (0.3.1-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Apr 2016 07:00:00 -0000

ros-dashing-qt-gui-app (0.3.0-1bionic) bionic; urgency=high

  * switch to Qt5 (#64 <https://github.com/ros-visualization/qt_gui_core/pull/64>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 01 Apr 2016 07:00:00 -0000

ros-dashing-qt-gui-app (0.2.30-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 30 Mar 2016 07:00:00 -0000

ros-dashing-qt-gui-app (0.2.29-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 19 Sep 2015 07:00:00 -0000

ros-dashing-qt-gui-app (0.2.28-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 08 Jun 2015 07:00:00 -0000

ros-dashing-qt-gui-app (0.2.27-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 29 Apr 2015 07:00:00 -0000

ros-dashing-qt-gui-app (0.2.26-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Aug 2014 07:00:00 -0000

ros-dashing-qt-gui-app (0.2.25-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 10 Jul 2014 07:00:00 -0000

ros-dashing-qt-gui-app (0.2.24-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 May 2014 07:00:00 -0000

ros-dashing-qt-gui-app (0.2.23-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 07 May 2014 07:00:00 -0000

ros-dashing-qt-gui-app (0.2.22-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 04 Mar 2014 08:00:00 -0000

ros-dashing-qt-gui-app (0.2.21-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 12 Feb 2014 08:00:00 -0000

ros-dashing-qt-gui-app (0.2.20-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 19 Jan 2014 08:00:00 -0000

ros-dashing-qt-gui-app (0.2.19-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 Jan 2014 08:00:00 -0000

ros-dashing-qt-gui-app (0.2.18-1bionic) bionic; urgency=high

  * improve startup time (#28 <https://github.com/ros-visualization/qt_gui_core/issues/28>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 09 Oct 2013 07:00:00 -0000

ros-dashing-qt-gui-app (0.2.17-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 Aug 2013 07:00:00 -0000

ros-dashing-qt-gui-app (0.2.16-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Jun 2013 07:00:00 -0000

ros-dashing-qt-gui-app (0.2.15-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 02 Apr 2013 07:00:00 -0000

ros-dashing-qt-gui-app (0.2.14-1bionic) bionic; urgency=high





=== debian/control ===
Source: ros-dashing-qt-gui-app
Section: misc
Priority: optional
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-ros-workspace
Homepage: http://ros.org/wiki/qt_gui_app
Standards-Version: 3.9.2

Package: ros-dashing-qt-gui-app
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-ament-index-python, ros-dashing-qt-gui, ros-dashing-ros-workspace
Description: qt_gui_app provides the main to start an instance of the integrated graphical user interface provided by qt_gui.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-qt-gui-app//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
